com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFUSB

- All Superinterfaces:
    IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfReader
  All Known Implementing Classes:
    RFIDWithUHFUSB

      public interface IRFIDWithUHFUSB
      extends IUHF, IUhfReader, ISingleAntenna, IHandheldRFID

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrCode()`
    `java.util.List<UsbDevice>` | `getUsbDeviceList(Context context)`
    `boolean` | `init(UsbDevice currDevice, Context context)`
    `boolean` | `uhfJump2BootSTM32()`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfReader

      `deleteAllTagToFlash, getAllTagTotalFromFlash, getNewTagTotalFromFlash, getReaderAwaitSleepTime, getTagDataFromFlash, readTagFromBufferList, setReaderAwaitSleepTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBattery, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBeep, setKeyEventCallback, triggerBeep`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IHandheldRFID

      `startLocation, stopLocation`

- - ### Method Detail

    - #### getErrCode

          int getErrCode()

    - #### init

          boolean init(UsbDevice currDevice,
                       Context context)

    - #### getUsbDeviceList

          java.util.List<UsbDevice> getUsbDeviceList(Context context)

    - #### uhfJump2BootSTM32

          boolean uhfJump2BootSTM32()